.c-table {
    tr {
        height: 50px;
    }

    td:nth-child(1),
    td:nth-child(2),
    td:nth-child(3) {
        width: 34px;
        padding-right: 1rem;
    }

    td:nth-child(4) {
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        text-overflow: ellipsis;
        overflow: hidden;
        line-height: 50px;
        padding-right: 1rem;

        a {
            height: 14px;
            color: #4A4A4A;
        }
    }

    td:nth-child(5) {
        width: 100px;
    }
}

.c1-table {
    width: 100%;

    thead {
        border-bottom: 1px solid #D6D6D6;

    }

    tbody {
        tr {
            height: 70px;
        }
    }

    td:nth-child(1) {
        .treegrid-container {
            display: flex;
        }

        padding-right: 3rem !important;

        a {
            color: #000000;
            font-size: 18px;

            &:hover {
                text-decoration: none;
            }
        }
    }

    td:nth-child(2),
    td:nth-child(3) {
        width: 163px !important;
        padding-right: 3rem !important;
    }

    td:nth-child(4) {
        width: 160px;
    }

    &-icon {
        // border: 1px solid #C1C1C1;
        min-width: 26px;
        min-height: 26px;
        border-radius: 26px;
        position: relative;
        margin-right: 26px;
        background: transparent;

        &.active {
            &::before {
                top: calc(50% - 3px);
                left: calc(50% - 6px);
                border-top-color: #5537E4 !important;
                border-left-color: transparent !important;
                border-right-color: transparent !important;
                border-bottom-color: transparent !important;
            }
        }

        &.root {
            border: 0;

            &::before {
                // content: none;
                content: ' ';
                border-left-color: #5537E4;
            }
        }

        &.child {
            // border: 0;
            // background: transparent;
            border: 1px solid #C1C1C1;
            background: white;

            &::before {
                // content: none;
                content: ' ';
                border-left-color: #5537E4;
            }
        }

        &::before {
            border: 6px solid transparent;
            // content: ' ';
            height: 0;
            width: 0;
            display: block;
            // border-left-color: #5537E4;
            position: absolute;
            top: calc(50% - 6px);
            left: calc(50% - 3px);
        }
    }
}

.c2-table {
    thead {
        border-bottom: 1px solid #D6D6D6;

        tr {
            height: 40px;

            th:nth-child(2),
            th:nth-child(3),
            th:nth-child(4),
            th:nth-child(5),
            th:nth-child(6),
            th:nth-child(7),
            th:nth-child(8),
            th:nth-child(9) {
                width: 120px;
                padding-right: 1rem;
                text-align: center;
            }
        }
    }

    tbody {
        tr {
            height: 70px;

            td:nth-child(2),
            td:nth-child(3),
            td:nth-child(4),
            td:nth-child(5),
            td:nth-child(6),
            td:nth-child(7),
            td:nth-child(8),
            td:nth-child(9) {
                width: 120px;
                padding-right: 1rem;
                text-align: center;
            }

        }

    }
}

.c3-table {
    tbody {
        tr {
            height: 70px;
        }
    }

    td:nth-child(2) {
        display: flex;
        padding-right: 3rem !important;
        height: 70px;

        a {
            color: #000000;
            font-size: 18px;
            //   line-height: 70px;

            &:hover {
                text-decoration: none;
            }
        }
    }

    td:nth-child(3),
    td:nth-child(4) {
        width: 163px !important;
        padding-right: 3rem !important;
    }

    td:nth-child(1) {
        width: 160px;
        margin: 0 !important;
    }
}

.c4-table {
    width: 100%;

    &.active {
        border: 1px solid red;

    }

    tr {
        // border-bottom: 1px solid #ECEFF1;
        height: 50px;
        font-size: 14px;
    }

    tr:first-child {
        border: 0;
    }

    tr:last-child {
        border: 0;
    }

    &-purple {
        color: #9C27B0;
    }

    &-purple1 {
        color: #673AB7;
    }

    &-purple2 {
        color: #3F51B5;
    }

    td:nth-child(1) {
        min-width: 30px;
        padding-right: 0.5rem;
        text-align: center;
        // font-weight: bold;
        color: #A4A4A4;
    }

    td:nth-child(2) {
        width: 50%;
        padding-right: 1rem;
    }

    td:nth-child(3) {
        padding-right: 1rem;
        // color: #3B3B3B;
        width: 50%;
    }

    td:nth-child(4) {
        min-width: 100px;

        padding-right: 1rem;
        color: #3B3B3B;


    }

    td:nth-child(5) {
        min-width: 50px;
        color: #3B3B3B;

    }
}

.c5-table {
    thead {
        // background: #ECECEC;

        tr {
            border-bottom: 1px #C8C8C8 solid;
        }
    }

    th:nth-child(1),
    td:nth-child(1) {
        text-align: left;
    }

    tr {
        // border-left: 1px #C8C8C8 solid;
        // border-right: 1px #C8C8C8 solid;
        // height: 60px;
    }

    tbody {
        tr:last-child {
            // border-bottom: 1px #C8C8C8 solid;
        }

        tr:nth-child(2n) {
            // background: #F3F3F3;
        }
    }

    td:nth-child(1),
    td:nth-child(2),
    td:nth-child(3),
    td:nth-child(4) {
        line-height: 34px;
    }

    // th {
    //     line-height: 60px;

    // }

    th,
    td {
        min-width: 200px;
        text-align: center;
        // padding: 0;
        border: 0 !important;
    }

    th:nth-child(5),
    th:nth-child(6),
    td:nth-child(5),
    td:nth-child(6) {
        min-width: 135px;
        width: 135px;
        text-align: center;
    }
}

.c6-table {
    width: 100%;

    td:nth-child(1) {
        font-weight: bold;
    }

    tr {
        height: 35px;
    }

}

.c7-table {
    thead {
        // background: #ECECEC;

        tr {
            // background: #E6EBFF;
            border: 1px #e8e8e8 solid;
        }
    }

    tr {
        border-left: 1px #e8e8e8 solid;
        border-right: 1px #e8e8e8 solid;
        // height: 60px;
    }

    tbody {
        tr:last-child {
            border-bottom: 1px #e8e8e8 solid;
        }

        // tr:nth-child(2n) {
        //     background: #F3F3F3;
        // }
    }

    th,
    td {
        border: 1px solid #e8e8e8 !important;
        vertical-align: middle;

    }

    th:nth-child(2),
    td:nth-child(2) {
        width: 300px;
        text-align: center;
    }

    td:nth-child(3) {
        text-align: center;
    }

    th:nth-child(3),
    th:nth-child(4) {
        min-width: 130px;
        width: 130px;
        text-align: center;
    }

    th:nth-child(8) {
        text-align: center;
    }

    th:nth-child(5),
    td:nth-child(5) {
        min-width: 220px;
        width: 220px;

    }

    td {
        line-height: 30px;
    }
}

.c8-table {
    thead {
        // background: #ECECEC;
        // background: #E6EBFF;

        th {
            // border: 1px #C8C8C8 solid;
            border-bottom: 0 !important;
        }
    }

    th:nth-child(1),
    td:nth-child(1) {
        text-align: left;
    }

    td:nth-child(6) {
        text-align: left;
        background: #F1F1F1;
    }

    td {
        vertical-align: middle;
    }

    th {
        vertical-align: middle !important;
        text-align: center;
    }

    tr {
        border-left: 1px #e8e8e8 solid;
        border-right: 1px #e8e8e8 solid;
    }

    tbody {
        tr:last-child {
            border-bottom: 1px #e8e8e8 solid;
        }

        // tr:nth-child(2n) {
        //     background: #F3F3F3;
        // }
    }

    // td:nth-child(1),
    // td:nth-child(2),
    // td:nth-child(3),
    // td:nth-child(4) {
    //     line-height: 34px;
    // }
    th:nth-child(6),
    td:nth-child(6) {
        text-align: center;
        min-width: 220px !important;
        max-width: 220px !important;
        width: 220px !important;
    }

    th,
    td {
        min-width: 200px;
        width: 100%;
        border: 1px solid #DFDFDF;
    }

}

.c9-table {
    -webkit-box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1), 0 1px 5px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1), 0 1px 5px rgba(0, 0, 0, 0.1);
    -ms-box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1), 0 1px 5px rgba(0, 0, 0, 0.1);
    -o-box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1), 0 1px 5px rgba(0, 0, 0, 0.1);
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1), 0 1px 5px rgba(0, 0, 0, 0.1);
    border-radius: 10px;



    // width: 100%;
    thead {
        tr {
            background: white;

        }

        // background: #ECECEC;

        th {
            border-bottom: 1px #f1f3f6 solid !important;
            border-left: 1px #f1f3f6 solid !important;

            &:first-child {
                border-left: 1px #f1f3f6 solid !important;
            }

            &:last-child {
                border-right: 1px #f1f3f6 solid !important;
            }
        }

        tr {
            border: 1px white solid !important;
        }
    }

    th:nth-child(1),
    td:nth-child(1) {
        text-align: center;
    }

    th {
        vertical-align: middle !important;
        text-align: center;
    }

    td {
        border: 1px #f1f3f6 solid !important;
        vertical-align: middle;

    }

    tr {
        border: 1px #f1f3f6 solid;
        // border-left: 1px #C8C8C8 solid;
        // border-right: 1px #C8C8C8 solid;

    }

    tbody {
        tr:last-child {
            border-bottom: 1px #f1f3f6 solid;
        }

        tr:last-child {
            background: #F5F5F5;
        }

        // tr:nth-child(2n) {
        //     background: #F3F3F3;
        // }
    }

    th:nth-child(2),
    th:nth-child(3),
    th:nth-child(4),
    th:nth-child(5),
    td:nth-child(2),
    td:nth-child(3),
    td:nth-child(4),
    td:nth-child(5) {
        text-align: center;
        max-width: 80px;
        width: 80px;
    }

    tbody {
        tr:not(:last-child) {
            height: 230px !important;
        }
    }

    th,
    td {
        min-width: 80px;

    }

}

.c10-table {
    width: 100%;

    td:nth-child(1) {
        font-weight: bold;
    }

    tr {
        height: 35px;
    }

}

.c11-table {
    font-size: 14px;

    td {
        padding: 0.4rem 1rem;
    }
}

.c12-table {
    font-size: 14px;


    td {

        // padding: 0.4rem 1rem;
        button {
            min-width: 120px !important;
            width: 120px !important;
            height: 30px !important;
        }
    }

    // td:first-child {
    //     // font-weight: bold;
    //     line-height: 40px;
    // }


}

.c13-table {
    tr {
        height: 80px;

        td {
            &:nth-child(1) {
                font-size: 24px;
                font-weight: bold;
                min-width: 200px;
            }

            &:nth-child(2) {
                min-width: 200px;

            }
        }
    }
}